Packages - Packaging Request #1423

Would it be possible to have a hardened linux-libre kernel with AppArmor support?
2017-07-25 08:18 AM - ToffeeYogurtPots

Status: fixed % Done: 100%
Priority: feature

Assignee:

Category:

Description

The "linux-libre-hardened" kernel does not have the AppArmor module. This means that you can either choose to have a hardened
kernel or a kernel with AppArmor support. Might it be possible to combine the two or provide a version of "linux-libre-hardened" with
support for AppArmor? Or are the two entirely incompatible? Putting this as a packaging request in case it actually is possible.

History

#1 - 2017-09-16 11:17 PM - Anonymous
ToffeeYogurtPots wrote:
The "linux-libre-hardened" kernel does not have the AppArmor module. This means that you can either choose to have a hardened kernel or a

kernel with AppArmor support. Might it be possible to combine the two or provide a version of "linux-libre-hardened" with support for AppArmor?
Or are the two entirely incompatible? Putting this as a packaging request in case it actually is possible.

I would like such a request as well. Though until that happens | wonder which is better...

#2 - 2017-09-17 10:27 AM - ToffeeYogurtPots

| thought the same. Right now | chose to just stick with the hardened kernel since | was a grsec user until they "passed the baton". | figured that,
between the two, the kernel would be the most important thing to harden. In the meantime there are a couple of hardened packages.

Might be worth installing the AppArmor kernel just to configure and test AppArmor in case this is feature is added.
#3 - 2017-10-28 08:27 PM - ToffeeYogurtPots
Following this update, this request/issue can be closed:

https://www.parabola.nu/news/kernels-deprecation/

#4 - 2017-10-29 06:55 PM - oaken-source
- % Done changed from 0 to 100

- Status changed from open to fixed
